Bisher hieß es immer, SQL Server 2005 wird nur mit dem (noch nicht erschienenen) SP2 auf Windows Vista unterstützt. Das ändert sich zumindestens für SQL Server Express: Hier wird es offiziellen Support auch für SP1 geben. Die kompletten Informationen gibt es im SQL Express Blog

Achtung: MSDE 2000 wird in keiner Version unter Vista unterstützt!

Gruß,
Steffen